[SciPy-user] More Information - Build Error (Python 2.4, Scipy 0.3.2) on Windows XP

Brett G. Olivier bgoli at sun.ac.za
Thu Mar 24 04:26:16 CST 2005


Hi

I'm not sure about the scipy.test problem but part of the install problem
is that the scipy-0.3.2 source archive doesn't include wgnuplot.exe

If you have an older version of scipy which includes wgnuplot.exe and
gnuplot_helper.exe try copying them into the source directory Lib\gplt and
then do a setup.py install. I think they are also available at
http://www.scipy.org/cvs/viewcvs/map?rmurl=http%3A//scipy.net/cgi-bin/viewcvsx.cgi/scipy/Lib/gplt/)

Hope this helps
Brett

> After executing install command (python setup.py build
> --compiler=mingw32 install), I got errors which I am also copying and
> pasting, below.

> byte-compiling D:\python24\Lib\site-packages\scipy\config.py to
> config.pyc
> running install_data
> error: can't copy 'Lib\gplt\wgnuplot.exe': doesn't exist or not a
> regular file



-- 

Brett G. Olivier Ph.D.
National Bioinformatics Network - Stellenbosch Node
Triple-J Group for Molecular Cell Physiology, Stellenbosch University
bgoli at sun dot ac dot za   http://glue.jjj.sun.ac.za/~bgoli
Tel +27-21-8082697  Fax +27-21-8085863  Mobile +27-82-7329306



More information about the SciPy-user mailing list